Skip to content

Bot ​

Membuat, mengatur, mengarsipkan, dan memulihkan bot. 9 endpoint

GET /bots​

/api/v1/bots · Perlu sesi login

Contoh

bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots' \
  -H "Authorization: Bearer $LEX_TOKEN"

POST /bots​

/api/v1/bots · Perlu sesi login

Body permintaan

FieldTipeWajibCatatan
namestringyapanjang 1–80
descriptionstringpanjang 0–500
avatarstringpanjang 0–16
characterobject
character.outfit"default" | "casual" | "pro" | "cool" | "female"ya
character.hatstringpola ^#[0-9a-fA-F]{6}$
character.accessory"none" | "glasses" | "sunglasses"
defaultMode"nalar" | "patih" | "cendikia"
instructionsstringpanjang 0–8000
ownComputerAccessboolean
ttsVoicestring | null
realtimeVoicestring | null

Contoh

bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots' \
  -H "Authorization: Bearer $LEX_TOKEN" \
  -H 'Content-Type: application/json' \
  -d '{"name":"string"}'

GET /bots/archived​

/api/v1/bots/archived · Perlu sesi login

Contoh

bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/archived' \
  -H "Authorization: Bearer $LEX_TOKEN"

GET /bots/{botId}​

/api/v1/bots/{botId} · Perlu sesi login

Parameter

FieldTipeWajibCatatan
botId (path)stringya

Contoh

bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId' \
  -H "Authorization: Bearer $LEX_TOKEN"

PATCH /bots/{botId}​

/api/v1/bots/{botId} · Perlu sesi login

Parameter

FieldTipeWajibCatatan
botId (path)stringya

Body permintaan

FieldTipeWajibCatatan
namestringpanjang 1–80
descriptionstringpanjang 0–500
avatarstringpanjang 0–16
characterobject
character.outfit"default" | "casual" | "pro" | "cool" | "female"ya
character.hatstringpola ^#[0-9a-fA-F]{6}$
character.accessory"none" | "glasses" | "sunglasses"
defaultMode"nalar" | "patih" | "cendikia"
instructionsstringpanjang 0–8000
ownComputerAccessboolean
ttsVoicestring | null
realtimeVoicestring | null

Contoh

bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/bots/:botId' \
  -H "Authorization: Bearer $LEX_TOKEN" \
  -H 'Content-Type: application/json' \
  -d '{}'

DELETE /bots/{botId}​

/api/v1/bots/{botId} · Perlu sesi login

Parameter

FieldTipeWajibCatatan
botId (path)stringya

Contoh

bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId' \
  -H "Authorization: Bearer $LEX_TOKEN"

GET /bots/{botId}/activity​

/api/v1/bots/{botId}/activity · Perlu sesi login

Parameter

FieldTipeWajibCatatan
botId (path)stringya

Contoh

bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId/activity' \
  -H "Authorization: Bearer $LEX_TOKEN"

POST /bots/{botId}/restore​

/api/v1/bots/{botId}/restore · Perlu sesi login

Parameter

FieldTipeWajibCatatan
botId (path)stringya

Contoh

bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots/:botId/restore' \
  -H "Authorization: Bearer $LEX_TOKEN"

DELETE /bots/{botId}/permanent​

/api/v1/bots/{botId}/permanent · Perlu sesi login

Parameter

FieldTipeWajibCatatan
botId (path)stringya

Contoh

bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId/permanent' \
  -H "Authorization: Bearer $LEX_TOKEN"

Lex oleh Gavalytics AI